<?php
namespace Teknisa\FIN\Modules\MovimentacaoBancaria\Services;

use Doctrine\ORM\EntityManager;
use Teknisa\Libs\Util\Environment;
use Teknisa\FIN\Modules\MovimentacaoBancaria\Factories\Bco21100ExtratoDeMovimentacaoBancariaFactory;

class Bco21100ExtratoDeMovimentacaoBancariaService {

    protected $entityManager;
    protected $environment;
    protected $factory;

    public function __construct(EntityManager $entityManager, Environment $environment, Bco21100ExtratoDeMovimentacaoBancariaFactory $factory) {
        $this->entityManager = $entityManager;
        $this->environment   = $environment;
        $this->factory       = $factory;
    }
    
    public function gerarRelatorioMovimentacaoBancaria($row) {
        try{
            $cdempresa    = isset($row['CDEMPRESA'])  ? $row['CDEMPRESA']  ? implode('_', $row['CDEMPRESA'])   :'T' :'T';
            $cdreducont   = isset($row['CDREDUCONT']) ? $row['CDREDUCONT'] ? implode('_', $row['CDREDUCONT'])  :'T' :'T';
            $saldoinicial = $row['P_SALDOINICIAL'];
            $dtperiodoini = $row['DTMOVBANC']["start"];
            $dtperiodofin = $row['DTMOVBANC']["end"];
            
            $nrseqmovbanc = $this->factory->execProcMovimentacaBancaria(
                $cdempresa, $cdreducont, $saldoinicial, $dtperiodoini, $dtperiodofin
            );
        } catch (\Exception $e) {
            throw $e;
        }
        
        return $nrseqmovbanc;
    }
    
    
}